'use strict';
/**
 * Implements directive for button jqueryUI component. 
 * Button component: http://jqueryui.com/button/
 */
angular.module('qusion.ui.button', [])
    .directive('qnButton', [
        function() {
            return {
                link: function (scope, element, attr) {
                    var options = scope.$eval(attr.qnButton);
                    element.button(options);
                }
            };
        }
    ]);